Interim update: SkylinkJS Web SDK 0.9.x

Posted On April 11, 2019 by Zed Tan in Blog, SkylinkJS

As we move closer towards the impending release of a “unified plan”-only Google Chrome release, our teams are working on updating the Skylink SDKs so that they use the “unified plan” SDP format instead of “plan-b”.

In the lead up to this change, we’re releasing version 0.9.1 of the SkylinkJS Web SDK.

SkylinkJS Web SDK 0.9.x acts as an interim update, where we update the SDK so that the SDP messages it generates are of the “unified plan” SDP format, making it compatible with future releases of the Chrome browser and, more importantly, compliant with the JSEP (Javascript Session Establishment Protocol) draft standard.

However, this also makes SkylinkJS 0.9.x incompatible with the rest of the Skylink suite of products.

This means that you should update your web application’s version of the SkylinkJS SDK to version 0.9.x only if:

By updating your web application’s version of SkylinkJS SDK to version 0.9.x, you:

Web applications using SkylinkJS 0.9.x will still be able to establish peer-to-peer connections with other web applications using the same SDK version.

Leave a Reply

Your email address will not be published. Required fields are marked *